shishi_verify(3)

NAME
shishi_verify - API function

SYNOPSIS
#include <shishi.h>

int shishi_verify(Shishi * handle, Shishi_key * key, int keyusage, int cksumtype, const char * in, size_t inlen, const char * cksum, size_t cksumlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_key * key
    key to verify checksum with.

int keyusage
    integer specifying what this key is used for.

int cksumtype
    the checksum algorithm to use.

const char * in
    input array with data that was integrity protected.

size_t inlen
    size of input array with data that was integrity protected.

const char * cksum
    input array with alleged checksum of data.

size_t cksumlen
    size of input array with alleged checksum of data.

DESCRIPTION
Verify checksum of data using key, possibly altered by supplied key usage. If key usage is 0, no key derivation is used.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.